Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000014opensim[REGION] OpenSim Corepublic2007-11-19 14:352008-02-08 08:12
Reportersdague 
Assigned Tosdague 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000014: Race condition with estate_settings.xml
DescriptionThere is currently a race condition with estate_settings.xml where it can be turned into a zero length file by being read and written to simultaneously by different Region threads when it is started up.

The exception throwing is:
[SCENE] [11-19 05:31:15] Failed with exception System.Xml.XmlException: Document element did not appear. file:///home/sdague/code/opensim-svn/bin/estate_settings.xml [^] Line 1, position 1.
  at Mono.Xml2.XmlTextReader.Read () [0x00000]
  at System.Xml.XmlTextReader.Read () [0x00000]
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000]
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000]
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000]
  at OpenSim.Framework.Configuration.XmlConfiguration.LoadData () [0x00000]
  at OpenSim.Framework.ConfigurationMember.forceSetConfigurationOption (System.String configuration_key, System.String configuration_value) [0x00000]
  at OpenSim.Framework.EstateSettings.set_terrainImageID (LLUUID value) [0x00000]
  at OpenSim.Region.Environment.Scenes.Scene.CreateTerrainTexture () [0x00000]
  at OpenSim.Region.Environment.Scenes.Scene.UpdateTerrain () [0x00000]
  at OpenSim.Region.Environment.Scenes.Scene.Update () [0x00000]

This should be fixed by moving this information into the Region xml definitions or into a database. Writing TerrainImageID back to a flat file is probably not the right way to go here.
TagsNo tags attached.
Git Revision or version number
Run Mode
Physics Engine
Environment
Mono Version
Viewer
Attached Files

- Relationships

-  Notes
(0000218)
babblefrog (manager)
2007-12-21 09:49

Is this resolved now? I haven't seen this in quite a while.
(0000471)
Teravus (administrator)
2008-01-28 22:39

This is being closed because of inactivity.. It appears sdague fixed this.

- Issue History
Date Modified Username Field Change
2007-11-19 14:35 sdague New Issue
2007-12-21 09:49 babblefrog Note Added: 0000218
2008-01-28 22:39 Teravus Status new => assigned
2008-01-28 22:39 Teravus Assigned To => sdague
2008-01-28 22:39 Teravus Status assigned => resolved
2008-01-28 22:39 Teravus Resolution open => fixed
2008-01-28 22:39 Teravus Note Added: 0000471
2008-02-08 08:12 sdague Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker